%define upstream_name    Clone-Choose
%define upstream_version 0.010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Choose appropriate clone utility
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Clone/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More) >= 0.900.0
BuildRequires: perl(Test::Without::Module)
BuildArch:  noarch

%description
'Clone::Choose' checks several different modules which provides a 'clone()'
function and selects an appropriate one. The default preference is

  Clone
  Storable
  Clone::PP

This list might evolve in future. Please see the /EXPORTS manpage how to
pick a particular one.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.10.0-4.mga9
+ Revision: 1808563
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-3.mga8
+ Revision: 1503581
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.10.0-2.mga7
+ Revision: 1282277
- Mageia 7 Mass Rebuild

* Fri Jun 01 2018 tv <tv> 0.10.0-1.mga7
+ Revision: 1233438
- update to 0.010

* Wed Nov 22 2017 tv <tv> 0.8.0-1.mga7
+ Revision: 1178869
- imported package perl-Clone-Choose


* Wed Nov 22 2017 cpan2dist 0.008-1mga
- initial mageia release, generated with cpan2dist
